CognitiveX Docs
API

POST /api/orgs/{org_id}/invites

Create Invite

POST /api/orgs/{org_id}/invites

Create Invite

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
org_idpathstringYes-
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
emailstringYes-
rolestringNoDefaults to "member".

Example request

curl -X POST https://api.cognitivx.io/api/orgs/{org_id}/invites \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "email": "[email protected]",
    "role": "member"
  }'

Example response

201 application/json

{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "email": "[email protected]",
  "role": "string",
  "created_at": "2026-06-16T08:30:00Z",
  "expires_at": "2026-06-16T08:30:00Z",
  "invite_url": "https://example.com"
}

Responses

StatusDescription
201Created. The new resource is returned in the response body.
422Request validation failed. detail lists each offending field.